
function getMarkdownVars() {
  return [
    '---',
    'title: context book',
    'papersize: a4',
    'margin-left: 2',
    'margin-right: 2',
    'margin-top: 2',
    'margin-bottom: 2',
    `header-includes: |
      <style>
        body {
          font-family: sans-serif;
          font-size: 48px;
        }
      </style>
      <link rel="stylesheet" href="/Users/chenjosh/projects/repo-to-pdf/html5bp/css/normalize.css">
      <link rel="stylesheet" href="/Users/chenjosh/projects/repo-to-pdf/html5bp/css/main.css">
      <link rel="stylesheet" href="/Users/chenjosh/projects/repo-to-pdf/html5bp/css/github-min.css">
      <script src="/Users/chenjosh/projects/repo-to-pdf/html5bp/js/vendor/modernizr-2.6.2.min.js"></script>`,
    '---'
  ].join('\n')
}

// => './path/file-1.md'
function getMarkdownFiles(mdString, repoBook, options) {
  const { outputFileName, inputFolder } = options
  const markdownFileNameWithExt = getFileNameExt(outputFileName, 'md') || getFileName(inputFolder) + '.md'
  let outputFile = path.resolve(process.cwd(), markdownFileNameWithExt)

  if (!repoBook.hasSingleFile()) {
    outputFile = outputFile.replace('.md', '-' + repoBook.currentPart() + '.md')
  }

  const markdownVars = getMarkdownVars()
  fs.writeFileSync(outputFile, [markdownVars, mdString].join('\n'))
  return outputFile
}

// pandoc: ['pandoc', [
//   '--from', 'markdown',
//   '--to', 'pdf',
//   '-t', 'html5',
//   // '--css', './css/github-min.css',
//   // '--data-dir', '/Users/chenjosh/projects/repo-to-pdf/html5bp',
//   '-V', 'margin-left=2',
//   '-V', 'margin-right=2',
//   '-V', 'margin-top=2',
//   '-V', 'margin-bottom=2',
//   '-o', formatFile, docFile
// ]]